com.holonplatform.vaadin.components.builders

## Interface OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator

- All Superinterfaces:
    ClickableLayoutConfigurator<OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator>, ComponentConfigurator<OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator>, ComponentContainerConfigurator<OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator>, LayoutConfigurator<OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator>, OrderedLayoutConfigurator<OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator>
  Enclosing interface:
    OrderedLayoutConfigurator<B extends OrderedLayoutConfigurator<B>>

      public static interface OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator
      extends OrderedLayoutConfigurator<OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator>

  Base ordered layout configurator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.OrderedLayoutConfigurator

      `OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.LayoutConfigurator

      `LayoutConfigurator.BaseLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ClickableLayoutConfigurator

      `ClickableLayoutConfigurator.BaseClickableLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.OrderedLayoutConfigurator

      `addAlignAndExpand, addAndExpand, addAndExpandFull, expand`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.LayoutConfigurator

      `addAndAlign, align, defaultAlignment, margin, marginBottom, marginLeft, marginRight, marginTop, spacing, withoutMargin, withoutSpacing`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ClickableLayoutConfigurator

      `withLayoutClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentContainerConfigurator

      `add, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2019 The Holon Platform. All rights reserved.